# Getting Started

Fork and then clone the tutorial repository
<a href="https://git-r3lab.uni.lu/R3/school/git/advanced-practice">https://git-r3lab.uni.lu/R3/school/git/advanced-practice</a>

```bash
$ git clone ssh://git@git-r3lab-server.uni.lu:8022/<first.last>/advanced-practice.git
```

Add a remote upstream
```bash
$ cd advanced-practice

# add upstream URL
$ git remote add upstream ssh://git@git-r3lab-server.uni.lu:8022/R3/school/git/advanced-practice.git
$ git fetch upstream
```
Check the remotes
```bash
$ git remote -v
```

Create your own branch `myBranch` based on the `develop` branch from `usptream` using the `-b` flag
```bash
$ git checkout -b <mybranch> upstream/develop
```
